%global realname epgsql
%global debug_package %{nil}

Summary:        Erlang PostgreSQL Database Client
Name:           erlang-%{realname}
Version:        1.4
Release:        4%{?dist}
Group:          Development/Libraries
License:        BSD
URL:            https://github.com/wg/epgsql
# git clone https://github.com/wg/epgsql erlang-epgsql-1.4
# git archive --remote=erlang-epgsql-1.4/ --prefix=erlang-epgsql-1.4/ 1.4 |gzip >erlang-epgsql-1.4.tar.gz
Source:         %{name}-%{version}.tar.gz
BuildRequires:  erlang
Requires:       erlang-erts%{?isa}
Requires:       erlang-kernel%{?isa}
Requires:       erlang-stdlib%{?isa}

%description
Library that gives possibility to Erlang programs to connect PostgreSQL
databases by plain TCP and execute simple SQL statements.


%prep
%setup -q


%build
make %{?_smp_mflags} VERSION="%{version}"


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include}
install -m 644 include/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include/
install -m 644 ebin/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%files
%{_libdir}/erlang/lib/%{realname}-%{version}/
%doc LICENSE


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.4-2
- No need to use git shapshot tag when we're using the released version
- Clean the SPEC file a bit for more modern RPM

* Fri Aug 03 2012 Filip Andres <filip.andres@gooddata.com> - 1.4-1.20120313git3318bd5d64.gdc1
- Initial spec file
- Removing git version info from Makefile
